
clr_buffers:
  ld hl, buf1
  ld a, 0
  ld (hl), a
  push hl
  pop de
  inc de
  ld bc, 768
  ldir
  
  ld hl, buf2
  ld a, 0
  ld (hl), a
  push hl
  pop de
  inc de
  ld bc, 768
  ldir
  ret


random:
  ld hl, m1
  ld a, (hl)
  dec a
  dec a
  ld (hl), a
  ld hl, m2
  ld a, (hl)
  dec a
  dec a
  ld (hl), a
  ld hl, m3
  ld a, (hl)
  dec a
  dec a
  ld (hl), a

  ret





difficulty:
  .db 10


print_board:
  ld hl, h1
  ld a,(hl)
  or a
  jp z, no_hammer1
  dec a
  ld (hl), a
  ld hl, buf1
  ld ix, hammer1
  ld a, 0
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, hammer2
  ld a, 0
  ld e, 0
  call put_big_sprite
  jp m1fin

no_hammer1:
  ld hl, m1
  ld a,(hl)
  ld hl,difficulty
  ld b, (hl)
  sub b
  jp m, m1dehors
  ld hl, buf1
  ld ix, trou1
  ld a, 0
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, trou2
  ld a, 0
  ld e, 0
  call put_big_sprite
  jp m1fin

m1dehors:
  ld hl, buf1
  ld ix, mole1
  ld a, 0
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, mole2
  ld a, 0
  ld e, 0
  call put_big_sprite
  jp m1fin
m1fin:
  
  ld hl, h2
  ld a,(hl)
  or a
  jp z, no_hammer2
  dec a
  ld (hl), a
  ld hl, buf1
  ld ix, hammer1
  ld a, 32
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, hammer2
  ld a, 32
  ld e, 0
  call put_big_sprite
  jp m2fin

no_hammer2:
  ld hl, m2
  ld a,(hl)
  ld hl,difficulty
  ld b, (hl)
  sub b
  jp m, m2dehors
  ld hl, buf1
  ld ix, trou1
  ld a, 32
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, trou2
  ld a, 32
  ld e, 0
  call put_big_sprite
  jp m2fin

m2dehors:
  ld hl, buf1
  ld ix, mole1
  ld a, 32
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, mole2
  ld a, 32
  ld e, 0
  call put_big_sprite
  jp m2fin

m2fin:
  ld hl, h3
  ld a,(hl)
  or a
  jp z, no_hammer3
  dec a
  ld (hl), a
  ld hl, buf1
  ld ix, hammer1
  ld a, 64
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, hammer2
  ld a, 64
  ld e, 0
  call put_big_sprite
  jp m3fin

no_hammer3:
  ld hl, m3
  ld a,(hl)
  ld hl,difficulty
  ld b, (hl)
  sub b
  jp m, m3dehors
  ld hl, buf1
  ld ix, trou1
  ld a, 64
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, trou2
  ld a, 64
  ld e, 0
  call put_big_sprite
  jp m3fin
 
m3dehors:
  ld hl, buf1
  ld ix, mole1
  ld a, 64
  ld e, 0
  call put_big_sprite

  ld hl, buf2
  ld ix, mole2
  ld a, 64
  ld e, 0
  call put_big_sprite
  jp m3fin
 
m3fin:
  ret

m1:
  .db 30

m2:
  .db 100

m3:
  .db 70

h1:
  .db 0
h2:
  .db 0
h3:
  .db 0


